/*!
Theme Name: Kadence Child
Theme URI: https://www.kadencewp.com/kadence-theme/
Template: kadence
Author: Kadence WP
Author URI: https://www.kadencewp.com/
Description: A child theme for the Kadence Theme.
Version: 1.0.0
License: GNU General Public License v3.0 (or later)
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Text Domain: kadence-child
*/


/* overlay style for post cards on homepage */
.post-overlay article {
    position: relative;
}

.post-overlay .entry-meta.entry-meta,
.post-overlay .entry-header {
    margin-bottom: 0;
}

.post-overlay .entry-content-wrap {
    position: absolute;
    top: 0;
    height: 100%;
    background: linear-gradient(0deg, rgba(255, 255, 255, 0.5) 50%, rgba(255, 255, 255, 0) 100%);
    align-content: end;
}

.post-overlay h2.entry-title.entry-title {
    color: #222;
}

/* old related posts styles */
/* .related-posts__heading {
    margin-bottom: 1.5rem;
}

.related-posts__heading a {
    color: var(--global-palette1);
    text-decoration: underline;
}

.related-posts__grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 1.5rem;
}

.related-posts__card {
    text-decoration: none;
    color: inherit;
}

.related-posts__card:hover h3 {
    color: var(--global-palette1);
}

.related-posts__image img {
    aspect-ratio: 3/2;
    object-fit: cover;
    display: block;
}

h3.related-posts__title {
    margin: 0.5rem 0 0;
    font-size: 1rem;
} */

/* old post author block styles */
/* .wp-block-post-author {
    background: var(--global-palette7);
    padding: 1em;
    margin-bottom: 50px;
}

.wp-block-post-author .wp-block-post-author__name {
    font-size: 1.3em;
    margin-bottom: .5em;
    font-weight: bold;
}

.wp-block-post-author .wp-block-post-author__bio {
    font-size: 1em;
}

@media screen and (max-width: 719px) {
    .wp-block-post-author {
        display: block;
    }

    .wp-block-post-author__avatar {
        margin-bottom: .5em;
    }
} */

/* fixing hero/title spacing for archive and single posts */
.search-archive-hero-section .entry-hero-container-inner,
.post-archive-hero-section .entry-hero-container-inner,
.entry-hero.post-hero-section {
    padding-top: 50px;
    padding-bottom: 50px;
}

/* update to search modal */
#search-drawer .drawer-inner input.search-field.search-field {
    background: white;
}

.preferred-source {
    margin: 1em 0;
}

/* styles of inline related posts */
.inline-posts-wrapper {
    background: var(--global-palette7);
    padding: 1em;
}
.inline-posts {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1rem;
}

.inline-posts__card {
    text-decoration: none;
    color: inherit;
}
.inline-posts__card:hover h3{
    color: var(--global-palette1);
}

.inline-posts__image img {
    width: 100%;
    height: 160px;
    object-fit: cover;
    display: block;
}

h3.inline-posts__title.inline-posts__title {
    margin: 0.5rem 0 0;
    font-size: 1rem;
}

@media screen and (max-width: 600px) {
    .inline-posts {
        grid-template-columns: 1fr;
    }
    .inline-posts__card {
        display: grid;
        grid-template-columns: 100px 2fr;
        gap: 1em;
    }
    .inline-posts__image{
        aspect-ratio: 1;
    }
    .inline-posts__image img{
        height: 100%;
        aspect-ratio: 1;
    }
    h3.inline-posts__title.inline-posts__title{
        margin: 0;
        line-height: 1.5;
        align-self: center;
    }

    .entry-author-profile{
        padding-left: unset !important;
        text-align: center;  
    }
    .entry-author-avatar{
        position: unset !important;
    }
    .entry-author-avatar img{
        margin: 0 auto 10px;
    }
    .entry-author-description.author-bio{
        margin-top: -1em;
    }
}


.entry-author {
    border: 1px solid var(--global-palette7);
    padding: 1em;
}
.entry-author .avatar.avatar-80.photo{
    border-radius: 100px;
}

.home-featured{
    margin-bottom: 100px !important;
}

@media screen and (min-width: 768px) {
    .home-featured article {
        grid-template-columns: 2fr 1fr !important;
    }
}

.wp-caption-text{
    font-size: 18px;
}

.archive.category .entry-taxonomies{
    display: none;
}